{user}: {
  lib,
  pkgs,
  ...
}: {
  services.greetd = {
    enable = true;
    settings = rec {
      hypr_session = {
        command = "Hyprland";
        user = user;
      };
      default_session = hypr_session;
    };
  };

  home-manager.users.${user}.imports = [../../home/programs/hyprland.nix];
}
